### Class

# Qmi Client

since: 1.0

#### Description [src]

    abstract class Qmi.Client : GObject.Object
    {
      /* No available fields */
    }

The `QmiClient` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Ancestors

- GObject

#### Descendants

- QmiClientAtr
- QmiClientDms
- QmiClientDpm
- QmiClientDsd
- QmiClientFox
- QmiClientGas
- QmiClientGms
- QmiClientIms
- QmiClientImsa
- QmiClientImsdcm
- QmiClientImsp
- QmiClientLoc
- QmiClientNas
- QmiClientOma
- QmiClientPbm
- QmiClientPdc
- QmiClientPds
- QmiClientQos
- QmiClientSar
- QmiClientSsc
- QmiClientUim
- QmiClientVoice
- QmiClientWda
- QmiClientWds
- QmiClientWms

#### Instance methods

###### qmi_client_check_version

Checks if the version of the service handled by this `QmiClient` is greater or equal than the given version.

since: 1.0

###### qmi_client_get_cid

Get the client ID of this `QmiClient`.

since: 1.0

###### qmi_client_get_device

Get the `QmiDevice` associated with this `QmiClient`.

since: 1.0

###### qmi_client_get_next_transaction_id

Acquire the next transaction ID of this `QmiClient`. The internal transaction ID gets incremented.

since: 1.0

###### qmi_client_get_service

Get the service being used by this `QmiClient`.

since: 1.0

###### qmi_client_get_version

Get the version of the service handled by this `QmiClient`.

since: 1.0

###### qmi_client_is_valid

Checks whether `QmiClient` is a valid and usable client.

since: 1.20

###### qmi_client_peek_device

Get the `QmiDevice` associated with this `QmiClient`, without increasing the reference count on the returned object.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Qmi.Client:client-cid

No description available.

since: 1.0

###### Qmi.Client:client-device

No description available.

since: 1.0

###### Qmi.Client:client-service

No description available.

since: 1.0

###### Qmi.Client:client-valid

No description available.

since: 1.20

###### Qmi.Client:client-version-major

No description available.

since: 1.0

###### Qmi.Client:client-version-minor

No description available.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct QmiClientClass {
      void (* process_indication) (
        QmiClient* self,
        QmiMessage* message
      );

    }

No description available.

###### Class members

`process_indication: void (* process_indication) ( QmiClient* self, QmiMessage* message )`

  No description available.

#### Virtual methods

###### Qmi.ClientClass.process_indication

No description available.